AbstractSyntheticBinding (Groovy 5.0.6)
Description: declaration: package: groovy.swing.binding, class: AbstractSyntheticBinding

Package groovy.swing.binding

# Class AbstractSyntheticBinding

java.lang.Object
org.apache.groovy.swing.binding.AbstractFullBinding
groovy.swing.binding.AbstractSyntheticBinding

All Implemented Interfaces:
  `BindingUpdatable`, `FullBinding`

public abstract class AbstractSyntheticBinding extends AbstractFullBinding

- ## Field Summary

  ### Fields inherited from class org.apache.groovy.swing.binding.AbstractFullBinding

  `converter, reverseConverter, sourceBinding, targetBinding, validator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractSyntheticBinding(PropertyBinding source, TargetBinding target, Class klass, String propertyName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bind()`
  Causes automatic updating of bound values to be turned on.
  `void`
  `rebind()`
  Causes the current bindings to be reset.
  `void`
  `setSourceBinding(SourceBinding source)`
  `void`
  `setTargetBinding(TargetBinding target)`
  `protected abstract void`
  `syntheticBind()`
  `protected abstract void`
  `syntheticUnbind()`
  `void`
  `unbind()`
  Causes automatic updating of bound values to be turned off.

  ### Methods inherited from class org.apache.groovy.swing.binding.AbstractFullBinding

  `getConverter, getReverseConverter, getSourceBinding, getTargetBinding, getValidator, reverseUpdate, setConverter, setReverseConverter, setValidator, update`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractSyntheticBinding

    public AbstractSyntheticBinding(PropertyBinding source, TargetBinding target, Class klass, String propertyName)

- ## Method Details

  - ### bind

    public void bind()
    Description copied from interface: `BindingUpdatable`
    Causes automatic updating of bound values to be turned on. This is idempotent between calls to unbind and rebind; i.e. multiple calls to bind will have only the effect of the first call.

  - ### unbind

    public void unbind()
    Description copied from interface: `BindingUpdatable`
    Causes automatic updating of bound values to be turned off. This is idempotent between calls to bind and rebind; i.e. multiple calls to unbind will have only the effect of the first call.

  - ### syntheticBind

    protected abstract void syntheticBind()

  - ### syntheticUnbind

    protected abstract void syntheticUnbind()

  - ### rebind

    public void rebind()
    Description copied from interface: `BindingUpdatable`
    Causes the current bindings to be reset. If the binding is not bound, it is a no-op. If the binding is bound, it will be turned off, then turned on against current values.

  - ### setSourceBinding

    public void setSourceBinding(SourceBinding source)
    Specified by:
      `setSourceBinding` in interface `FullBinding`
    Overrides:
      `setSourceBinding` in class `AbstractFullBinding`

  - ### setTargetBinding

    public void setTargetBinding(TargetBinding target)
    Specified by:
      `setTargetBinding` in interface `FullBinding`
    Overrides:
      `setTargetBinding` in class `AbstractFullBinding`